#!/bin/sh

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

prog="`basename $0`"
tmp_d="/usr/local/psa/var"
mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="$tmp_d/${mu}-php_cleanuper.flag"

[ -f "$mu_flag" ] && exit 0

chfile="/etc/cron.hourly/plesk-php-cleanuper"

[ -f "$chfile" ] || exit 0

grep -q 'fuser' < $chfile || exit 0

sed -i -e 's|\!.*\;||' $chfile >/dev/null 2>&1

touch $mu_flag
exit 0
